@import '../mixins/';

.section-projects {
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 4rem;
  max-width: 1280px;

  h2 {
    text-align: center;
    color: color('grays', 'default');
  }

  .section-projects-wrapper {
    margin-bottom: 4rem;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
  
    .section-projects-shopping, .section-projects-shopping-desc, .section-projects-landing-desc {
      width: 100%;
      max-width: 40rem;
      margin: 0 auto;
    }
  
    .section-projects-shopping {
      height: 40rem;
      margin-bottom: 2rem;
    }
  
    .section-projects-shopping-desc, .section-projects-landing-desc {
      padding: 0 1rem;

      @media only screen and (max-width: 992px) {
        padding: 0rem;
      }
  
      h3 {
        margin-top: 0;
        text-align: center;
        color: color('secondary', 'default');
        text-shadow: 1px 1px 3px color('blacks', 'default');
      }
      p {
        letter-spacing: 0.02rem;
        color: color('grays', 'default');
      }
      a {
        display: block;
        color: color('secondary', 'default');
        padding: 1rem 0;
        &:hover {
          color: color('teals', 'default');
        }
        width: fit-content;
      }
    }

    iframe {
      border: none;
      box-shadow: 2px 2px 5px black;
    }

    img {
      max-width: 40rem;
      width: 100%;
      margin: auto;
      margin-bottom: 2rem;
      order: 2;
    }

    @media only screen and (max-width: 992px) {
      grid-template-columns: repeat(1, 1fr);
      grid-template-rows: repeat(1, 1fr);

      img {
        order: 1;
      }

      .section-projects-landing-desc {
        order: 2;
      }
    }

  }
}
